
precision lowp float;

uniform sampler2D tex0;
uniform sampler2D tex1;

varying vec2 v_v2TexCoord;
varying vec2 v_v2Position;
varying vec4 v_v4Color;

uniform float fDetailIntensity;

void main() 
{
	vec4 v4Texture0 = texture2D(tex0, v_v2TexCoord);
	vec4 v4Texture1 = texture2D(tex1, v_v2Position);

    vec3 v3Detail = (v4Texture1.xyz - vec3(0.5))*fDetailIntensity;
	
	//v3Detail.xyz *= v_v4Color.xyz;

    gl_FragColor.rgb = (v4Texture0.rgb) + (v3Detail*v_v4Color.a);

	gl_FragColor.a = v4Texture0.a;
	//gl_FragColor = vec4(v_v2Position.x,v_v2Position.y,0.0,1.0);
	
	//gl_FragColor = v4Texture1;
	
	//gl_FragColor = v_v4Color;
	//gl_FragColor = v4Texture1;
	/*
	if(gl_FragColor.a < 0.2)
		gl_FragColor.a = 0.25;
	*/
	/*
	vec2 size = vec2(1024.0, 1024.0);
	float total = floor(v_v2TexCoord.x*float(size.x)) +
		floor(v_v2TexCoord.y*float(size.y));
	bool isEven = mod(total, 2.0) == 0.0;
	vec4 col1 = vec4(0.0, 0.0, 0.0, 1.0);
	vec4 col2 = vec4(1.0, 1.0, 1.0, 1.0);
	gl_FragColor = (isEven) ? col1 : col2;
	*/
	
}
