
precision highp float;

varying highp float v_fHeight;
varying highp float v_fOffset;
varying highp float v_fSlopeX;
varying highp float v_fSlopeY;

void main()
{

	float fMag = sqrt(v_fSlopeX * v_fSlopeX + v_fSlopeY * v_fSlopeY);
	float fInfMag = 1.0 / fMag;
	float fSlopeX = v_fSlopeX * fInfMag * 0.5 + 0.5;
	float fSlopeY = v_fSlopeY * fInfMag * 0.5 + 0.5;
	
	gl_FragColor.x = fSlopeX;
	gl_FragColor.y = fSlopeY;
	gl_FragColor.z = v_fHeight;
	//gl_FragColor.xyz = vec3(v_fHeight);
	gl_FragColor.w = v_fOffset;
}