



attribute vec4 a_v4Position;

varying highp float v_fHeight;
varying highp float v_fOffset;
varying highp float v_fSlopeX;
varying highp float v_fSlopeY;


void main() 
{
	float fPi = 3.1415926535897932384626433832795;
	float f2Pi = 2.0 * fPi;
	float t = a_v4Position.x * f2Pi;
	gl_Position.x = a_v4Position.x * 2.0 - 1.0 - sin(t) * a_v4Position.y * (1.0 / 2.0);
	gl_Position.y = a_v4Position.y * 2.0 - 1.0;
	gl_Position.z = 0.0;
	gl_Position.w = 1.0;

	v_fOffset = sin(t) * a_v4Position.y * 0.25 + 0.5;
	v_fHeight = cos(t) * 0.5 + 0.5;
	v_fSlopeX = 2.0 - cos(t) * a_v4Position.y * f2Pi;
	v_fSlopeY = -sin(t) * 0.5 * f2Pi;

}
