
precision mediump float;

varying lowp float v_fAlpha;
varying vec2 v_v2TexCoord;
varying vec2 v_v2TexCoord2;
varying highp vec3 v_v3WorldPos;


uniform lowp sampler2D tex;
uniform lowp sampler2D tex2;

uniform vec3 u_v3AmbientColorNear;
uniform vec3 u_v3AmbientColorFarMinusNear;
uniform vec3 u_v3EyePos;
uniform lowp vec3 u_v3WhiteWaterColor;




void main()
{

	//float fAlpha = v_v4Color.a;
	//float fHardAlpha = v_v4Color.r;
	//float fDepth = v_v4Color.g;
	//float fBrightness = v_v4Color.b;

	//  gl_FragColor = vec4(v_v4Color);
	// return;

	lowp vec4 v4Texture = texture2D(tex, vec2(v_v2TexCoord));
	//v4Texture *= texture2D(tex2, vec2(v_v2TexCoord2));

	
	gl_FragColor.xyz = vec3(1.0);
	gl_FragColor.a = v4Texture.r * 2.0 - (1.0 - v_fAlpha) * 2.0;

	gl_FragColor.xyz *= u_v3WhiteWaterColor;
    

	//gl_FragColor.xyzw = vec4(1.0, 1.0, 0.0, 1.0);
}
