


uniform mat4 u_m44ModelViewProjection;

attribute vec4 a_v4Position;

varying mediump vec2 v_arrv2TexCoord[16];

uniform vec2 u_v2NormalArray[16];
uniform float u_fOffsetArray[16];
uniform float u_fChoppyness;
varying float v_fY;





void main() 
{
	float fPi = 3.1415926535897932384626433832795;
	float f2Pi = 2.0 * fPi;
	gl_Position = u_m44ModelViewProjection * a_v4Position;

	for (int i = 0; i < 16; i++)
	{
		float fI = float(i);
		//v_arrv2TexCoord[i].x = gl_Position.x * exp2(float(i));


		v_arrv2TexCoord[i].x = dot(gl_Position.xy * 0.5, u_v2NormalArray[i]) + u_fOffsetArray[i];
		v_arrv2TexCoord[i].y = dot(gl_Position.xy * 0.5, vec2(u_v2NormalArray[i].y, -u_v2NormalArray[i].x)) + u_fOffsetArray[i];
		//v_arrv2TexCoord[i].y =(400.0) * (1.0 / (400.0 + fI)) ;

		v_fY = gl_Position.y;
	}

}
