

uniform mat4 u_m44ModelViewProjection;

attribute vec4 a_v4Position;
attribute vec2 a_v2TexCoord;
attribute vec4 a_v4Color;

varying mediump vec2 v_v2TexCoord;
varying lowp vec4 v_v4Color;
varying mediump float v_fAlphaVFadeLeft;
varying mediump float v_fAlphaVFadeRight;
varying mediump float v_fAlphaVFadeTop;
varying mediump float v_fAlphaVFadeBottom;
uniform float u_fLeft;
uniform float u_fRight;
uniform float u_fTop;
uniform float u_fBottom;

void main() 
{
	v_v2TexCoord = a_v2TexCoord;
	v_v4Color = a_v4Color * (1.0 / 255.0);
	gl_Position = u_m44ModelViewProjection * a_v4Position;

	v_fAlphaVFadeLeft = (gl_Position.x - u_fLeft);
	v_fAlphaVFadeRight = (u_fRight - gl_Position.x);
	v_fAlphaVFadeTop = (u_fTop - gl_Position.y);
	v_fAlphaVFadeBottom = (gl_Position.y - u_fBottom);

}

