uniform sampler2D           tex;
varying mediump vec2        centerTextureCoordinate;
varying mediump vec2        oneStepLeftTextureCoordinate;
varying mediump vec2        twoStepsLeftTextureCoordinate;
varying mediump vec2        oneStepRightTextureCoordinate;
varying mediump vec2        twoStepsRightTextureCoordinate;
void main()
{
	lowp vec3 fragmentColor = texture2D(tex, centerTextureCoordinate).rgb * 0.2270270270;
	fragmentColor += texture2D(tex, oneStepLeftTextureCoordinate).rgb * 0.3162162162;
	fragmentColor += texture2D(tex, oneStepRightTextureCoordinate).rgb * 0.3162162162;
	fragmentColor += texture2D(tex, twoStepsLeftTextureCoordinate).rgb * 0.0702702703;
	fragmentColor += texture2D(tex, twoStepsRightTextureCoordinate).rgb * 0.0702702703;
	gl_FragColor = vec4(fragmentColor, 1.0);
}
