
attribute highp vec4        a_v4Position;
attribute highp vec2        a_v2TexCoord;
uniform highp mat4          u_m44ModelViewProjection;
uniform mediump float       texelWidthOffset;
uniform mediump float       texelHeightOffset;
varying mediump vec2        centerTextureCoordinate;
varying mediump vec2        oneStepLeftTextureCoordinate;
varying mediump vec2        twoStepsLeftTextureCoordinate;
varying mediump vec2        oneStepRightTextureCoordinate;
varying mediump vec2        twoStepsRightTextureCoordinate;
void main()
{
	gl_Position = a_v4Position * u_m44ModelViewProjection;
	vec2 firstOffset = vec2(1.3846153846 * texelWidthOffset, 1.3846153846 * texelHeightOffset);
	vec2 secondOffset = vec2(3.2307692308 * texelWidthOffset, 3.2307692308 * texelHeightOffset);
	centerTextureCoordinate = a_v2TexCoord;
	oneStepLeftTextureCoordinate = a_v2TexCoord - firstOffset;
	twoStepsLeftTextureCoordinate = a_v2TexCoord - secondOffset;
	oneStepRightTextureCoordinate = a_v2TexCoord + firstOffset;
	twoStepsRightTextureCoordinate = a_v2TexCoord + secondOffset;
}
