

uniform mat4 u_m44ModelViewProjection;

attribute vec4 a_v4Position;

attribute vec2 a_v2TexCoord;
attribute vec3 a_v3Normal;

varying vec2 v_v2TexCoord;
varying vec3 v_v3Normal;

void main() 
{
	v_v2TexCoord = a_v2TexCoord;
	v_v3Normal = normalize(mat3(u_m44ModelViewProjection) * a_v3Normal);
	//vec4 v4N = normalize((u_m44ModelViewProjection) * vec4(a_v3Normal,1));
	//v_v3Normal =  a_v3Normal;
	gl_Position = u_m44ModelViewProjection * a_v4Position;
}

