
precision lowp float;

uniform lowp sampler2D tex;

varying mediump vec2 v_v2TexCoord;

/*
const float fOffset = 0.5 / 512.0;
const float fOffset2 = 0.5 / 512.0;

void main()
{

	vec4 v4Combined = 
		texture2D(tex,v_v2TexCoord.st + vec2(-fOffset, -fOffset)) +
		texture2D(tex,v_v2TexCoord.st + vec2( fOffset, -fOffset)) +
		texture2D(tex,v_v2TexCoord.st + vec2(-fOffset,  fOffset)) +
		texture2D(tex,v_v2TexCoord.st + vec2( fOffset,  fOffset));


	
	gl_FragColor = v4Combined * (1.0 / 4.0);
	gl_FragColor.w = 0.005;
}

*/


const float fOffset = 0.7 / 512.0;

void main()
{
	vec4 v4First = texture2D(tex, v_v2TexCoord.st);
	vec2 v2Offset1 = vec2(0.0, 0.03);
	vec2 v2Offset2 = vec2(0.0, -0.03);

	v2Offset2.y *= v4First.x * 1.02;
	v2Offset1.y *= v4First.y * 1.02;
	
	
	vec4 v4Old1 = texture2D(tex, v_v2TexCoord.st + v2Offset1);
	vec4 v4Old2 = texture2D(tex, v_v2TexCoord.st + v2Offset2);

	
	gl_FragColor = (v4Old1 + v4Old2) * 0.5;
	gl_FragColor.x = v4Old1.x * 0.99 + v4Old2.y * 0.05;
	gl_FragColor.y = v4Old2.y * 0.95;

	gl_FragColor.z = gl_FragColor.x + gl_FragColor.y;

	//gl_FragColor = v4First;
	//gl_FragColor *= 0.9;

	


	//gl_FragColor = v4Old * 0.9;



	//gl_FragColor.w = 0.005;
	gl_FragColor.w = 0.0;
}