
precision mediump float;

uniform lowp sampler2D tex;
varying vec2 v_v2TexCoord;

/*
const float fOffset = 0.5 / 512.0;
const float fOffset2 = 0.5 / 512.0;

void main()
{

	vec4 v4Combined = 
		texture2D(tex,v_v2TexCoord.st + vec2(-fOffset, -fOffset)) +
		texture2D(tex,v_v2TexCoord.st + vec2( fOffset, -fOffset)) +
		texture2D(tex,v_v2TexCoord.st + vec2(-fOffset,  fOffset)) +
		texture2D(tex,v_v2TexCoord.st + vec2( fOffset,  fOffset));
	
	gl_FragColor = v4Combined * (1.0 / 4.0);
	gl_FragColor.w = 0.005;
}
*/


const float fOffset = 0.7 / 512.0;

void main()
{

	vec4 v4Combined = 
		texture2D(tex,v_v2TexCoord.st + vec2(-fOffset, -0)) +
		texture2D(tex,v_v2TexCoord.st + vec2( fOffset, -0)) +
		texture2D(tex,v_v2TexCoord.st + vec2(0,  -fOffset)) +
		texture2D(tex,v_v2TexCoord.st + vec2( fOffset,  fOffset));
	
	vec4 v4Old = texture2D(tex,v_v2TexCoord.st);
	gl_FragColor = v4Old * 0.999 + (v4Combined - v4Old * 4.0) * (1.0 / 4.0);

	//gl_FragColor.z = v4Old.x - gl_FragColor.x;



	//gl_FragColor.w = 0.005;
	gl_FragColor.w = 0.0;
}