
precision lowp float;

uniform lowp sampler2D tex;

varying mediump vec2 v_arrv2TexCoord[16];
uniform vec2 u_v2NormalArray[16];
uniform float u_fOffsetArray[16];
uniform float u_fTimeArray[16];
uniform float u_fChoppyness;
varying float v_fY;

void main()
{

	float fPi = 3.1415926535897932384626433832795;
	float f2Pi = 2.0 * fPi;
	gl_FragColor.rgba = vec4(0.0, 0.0, 0.0, 0.0);
	for (int j = 0; j < 16; j++)
	{
		vec2 v2Extra = vec2(0.0, 0.0);
		for (int i = 0; i < 7; i++)
		{
			vec2 v2Offset = v_arrv2TexCoord[i].st + v2Extra;// / length(u_v2NormalArray[i]);
			v2Offset.x += fract((float((i + j) * 1103515245 + 12345)) * 0.0001);
			v2Offset.y += fract((float((i * 2 + j * 3) * 1103515245 + 12345)) * 0.0005);
			v2Offset = fract(v2Offset) - vec2(0.5);
			vec2 v2TexOffset;
			v2TexOffset.x = fract((float((i + j) * 1103515245 + 12345)) * 0.0031);
			v2TexOffset.y = fract((float((i * 2 + j * 3) * 1103515245 + 12345)) * 0.003);
			
			float fT = fract(u_fTimeArray[i] + float(j) * 0.25 * 0.25);
			vec4 v4Texture = texture2D(tex, v2TexOffset + (v2Offset / length(u_v2NormalArray[i])) / (fT + 0.001) * 1.5 + vec2(0.5));// + v2Extra / length(u_v2NormalArray[i] * 0.5 * length(u_v2NormalArray[i]));

			v2Offset *= 0.2 + v4Texture.y * 0.7;

		
			float fAmount = (1.0 * fT - length(v2Offset) * 2.0) * (1.0 - fT);
			if (fAmount < 0.0)
				fAmount = 0.0;
			
			float fFinal = fAmount / length(u_v2NormalArray[i]);// *  (v4Texture.x * 1.0 + 0.0);

			gl_FragColor.y += fFinal;
			//gl_FragColor.y *= v4Texture.x * 0.9 + 0.1;


			//v2Extra += v2Offset * fAmount * 4.0;//gl_FragColor.y * 0.1;
			v2Extra += v2Offset * fFinal * 5.1;// / length(v2Offset);// * length(u_v2NormalArray[i]);
		
		}
	}
	//gl_FragColor.y *= 1.0 / 16.0;

	gl_FragColor.y *= 1.5;
	/*gl_FragColor.y = 1.0 - gl_FragColor.y;
	gl_FragColor.y *= gl_FragColor.y;
	gl_FragColor.y = 1.0 - gl_FragColor.y;*/

//	gl_FragColor.y -= 0.7;
//	gl_FragColor.y *= 10.0;

/*	gl_FragColor.y -= v_fY * v_fY * 1.0;
	gl_FragColor.y = 1.0 - gl_FragColor.y;
	gl_FragColor.y *= gl_FragColor.y;
	gl_FragColor.y *= gl_FragColor.y;
	gl_FragColor.y = 1.0 - gl_FragColor.y;*/
	
	
	gl_FragColor.rgb = vec3(gl_FragColor.y);

}