
precision lowp float;

uniform sampler2D tex;

varying vec2 v_v2TexCoord;
varying vec4 v_v4Color;

void main() 
{
	highp vec4 v4TextureTopLeft = texture2D(tex, vec2(0.0, 0.0 ));
	highp vec4 v4Texture = texture2D(tex, v_v2TexCoord);
	gl_FragColor = v4Texture;

	vec4 difference = v4Texture - v4TextureTopLeft;
	if (length(difference) < 0.05)
	{
		gl_FragColor.a = 0.5;
	}

}
