


uniform mat4 u_m44ModelViewProjection;
uniform mat4 u_m44Texture;

attribute vec4 a_v4Position;
attribute vec2 a_v2TexCoord;

varying vec2 v_v2TexCoord;

void main() 
{
	v_v2TexCoord = (u_m44Texture * vec4(a_v2TexCoord, 0, 1)).xy;
	gl_Position = u_m44ModelViewProjection * a_v4Position;
}

